/*********************************************************************************
**
**   $Id: customerentry.ui.h,v 1.6 2004/05/27 11:44:07 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#include <qmessagebox.h>
#include "vehcedit.h"

void CustomerEntry::initialize()
{
   CustTable1->refresh();
   CustTable1->selectRow(0);
   if ( CustTable1->currentRecord() != NULL ) 
   {
      custForm1->refresh(CustTable1->currentRecord());
   }
}


void CustomerEntry::accept()
{
   custForm1->updateRecord();
   custForm1->commitTransaction();
   done(custForm1->getLastIdent().toInt());
}

void CustomerEntry::reject()
{
   if ( custForm1->isInTransaction())
   {
      if (QMessageBox::warning(this, "Discarding Changes", 
                                "Canceling this will discard <b>ALL</b> of your changes. Are you sure you want to continue?",
                                QMessageBox::Yes, QMessageBox::No) == QMessageBox::Yes)
      {
         custForm1->rollbackTransaction();
         done(QDialog::Rejected);
      }
   }
   else 
   {
      done(QDialog::Rejected);
   }
}



void CustomerEntry::veiwVehicles()
{
   VehcEdit *ve = new VehcEdit();
   ve->initialize();
   ve->setOwner(custForm1->getLastIdent());
   ve->exec();
}

void CustomerEntry::insertRecord()
{
   custForm1->insertRecord();
   custForm1->nameEdit->setFocus();
//   updateBtn->setEnabled(true);
//   deleteBtn->setEnabled(true);
}

void CustomerEntry::updateRecord()
{
   custForm1->updateRecord();
   custForm1->nameEdit->setFocus();
}

void CustomerEntry::deleteRecord()
{
   custForm1->deleteRecord();
   custForm1->nameEdit->setFocus();
//   updateBtn->setEnabled(false);
//   deleteBtn->setEnabled(false);
}

void CustomerEntry::keyPressEvent( QKeyEvent * e )
{
   printf("CustomerEntry::keyPressEvent(): Entry, have key press for %s\n", e->text().isNull() == true ? "NULL" : (const char*)e->text());
   if ( e->key() == Qt::Key_Escape ) 
   {
      e->accept();
      done(QDialog::Rejected);
   }
   printf("CustomerEntry::keyPressEvent(): Exit\n");
}
